Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0031788
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 03. Procurement managementmajoralways2015-12-28 19:132016-03-17 10:54
ReporterVictorVillarView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision31fa39bf2c6a
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0031788: In a Purchase Order window the Price turns to 0 using a price list including taxes under some circumstancies

DescriptionIn a Purchase Order window the Price turns to 0 using a price list including taxes under some circumstancies
Steps To ReproduceAs group Admin role,
  Go to Price List window:
     to define Tarifa Bebidas Alegres as Price Includes Taxes
Go to Discounts and Promotions window
  create a new one.
  Organization: España - Región norte
  Discount Type: Price Adjustment
  Starting date: 12/01/2016
  Ending date: 12/01/2017
 All 'included ....' fields as: All excluding defined
 except 'Included Products' = Only those defined.
Discount %: 0
Discount Amount: 0.00
Fixed Unit price: 73
Min. Quantity: 10
Max. Quantity: blank
Prodcuts tab:
  Add Agua Sin gas.

Go to Purchase Order
   select Bebidas Alegres
   Check that the Price List is: Tarifa Bebidas Alegres
Click in Create Lines button.
   Add Cerveza Ale 0.5L, selecting the qty. Price = 19
Process the Purchase order.
Realise that the Price turns to 0.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0035428 closedaferraz Do not calculate Net Price and Net Amount outside triggers when creating new Order/Invoice with Price Including Taxes 

-  Notes
(0083031)
AtulOpenbravo (developer)
2015-12-29 09:01

Not able to reproduce with given steps. Need some more exact steps if any.
(0083387)
AtulOpenbravo (developer)
2016-01-18 19:30
edited on: 2016-01-19 13:36

Test Plan
- Login as Group Admin role.
- Go to Price List window:
  to define Tarifa Bebidas Alegres as Price Includes Taxes
- Go to Discounts and Promotions window
  create a new one.
  - Organization: España - Región norte
  - Discount Type: Price Adjustment
  - Starting date: 12/01/2016
  - Ending date: 12/01/2017
  - All 'included ....' fields as: All excluding defined
    except 'Included Products' = Only those defined.
  - Discount %: 0
  - Discount Amount: 0.00
  - Fixed Unit price: 73
  - Min. Quantity: 10
  - Max. Quantity: blank
- In Prodcuts tab:
  - Add Agua Sin gas.

- Go to Purchase Order. select Bebidas Alegres as business partner.
- Check that the Price List is: Tarifa Bebidas Alegres
- Click in Create Lines button.
  - Select Cerveza Ale 0.5L product, enter qty = 1, change the price to 19
- Check that the Price is 15.70 and not zero.
- Book the order.

Repeat same steps above with other products by changing or not the price. Check that the price is the correct one after deducting the corresponding taxes.

Check also that in the case of creating a purchase order for Agua sin Gas 1L product, if the ordered quantity is 20 (>10 units) net unit price changes to 60.33 (that is net unit price fixed to 73.00 deducing 21% VAT)

(0083396)
psanjuan (manager)
2016-01-19 12:32
edited on: 2016-01-19 13:37

Issue Verified.

Test Plan above verified. Issue can be code reviewed and close.

(0083416)
hgbot (developer)
2016-01-19 17:52

Repository: erp/devel/pi
Changeset: 31fa39bf2c6a862e933e31b50be93c8b092b5e2e
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Mon Jan 18 23:55:32 2016 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/31fa39bf2c6a862e933e31b50be93c8b092b5e2e [^]

Fixes Issue 31788:In a Purchase Order window the Price turns to 0 using a
price list including taxes under some circumstancies

In case of Tax included Price List, Create PO Lines action handler now sets
Gross Standard Price = Gross Base Unit Price with proper value so that
during m_promotion_calculate if there exists any price adjustments, price
needs to be re-calculated in the order line. Earlier as gross std price was
set to zero, Gross Unit Price, Line Gross Amount of the line was set to 0..

---
M src/org/openbravo/common/actionhandler/OrderCreatePOLines.java
---
(0083417)
vmromanos (developer)
2016-01-19 17:52

Code review + testing OK
(0085056)
hudsonbot (developer)
2016-03-17 10:54

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b22fb0500156 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-12-28 19:13 VictorVillar New Issue
2015-12-28 19:13 VictorVillar Assigned To => Triage Finance
2015-12-28 19:13 VictorVillar Modules => Core
2015-12-28 19:13 VictorVillar Regression level => Pre packaging ( pi )
2015-12-28 19:13 VictorVillar Triggers an Emergency Pack => No
2015-12-28 19:18 VictorVillar Issue Monitored: networkb
2015-12-29 07:51 AtulOpenbravo Assigned To Triage Finance => AtulOpenbravo
2015-12-29 09:00 AtulOpenbravo Assigned To AtulOpenbravo => VictorVillar
2015-12-29 09:01 AtulOpenbravo Note Added: 0083031
2015-12-29 09:01 AtulOpenbravo Status new => feedback
2016-01-14 18:49 VictorVillar Regression level Pre packaging ( pi ) =>
2016-01-14 18:49 VictorVillar Assigned To VictorVillar => AtulOpenbravo
2016-01-14 18:49 VictorVillar Priority immediate => urgent
2016-01-14 18:49 VictorVillar Status feedback => new
2016-01-14 18:49 VictorVillar Steps to Reproduce Updated View Revisions
2016-01-18 19:03 AtulOpenbravo Status new => scheduled
2016-01-18 19:30 AtulOpenbravo Note Added: 0083387
2016-01-19 12:32 psanjuan Note Edited: 0083387 View Revisions
2016-01-19 12:32 psanjuan Note Added: 0083396
2016-01-19 13:31 psanjuan Note Edited: 0083387 View Revisions
2016-01-19 13:32 psanjuan Note Edited: 0083387 View Revisions
2016-01-19 13:36 psanjuan Note Edited: 0083387 View Revisions
2016-01-19 13:37 psanjuan Note Edited: 0083396 View Revisions
2016-01-19 17:52 hgbot Checkin
2016-01-19 17:52 hgbot Note Added: 0083416
2016-01-19 17:52 hgbot Status scheduled => resolved
2016-01-19 17:52 hgbot Resolution open => fixed
2016-01-19 17:52 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/31fa39bf2c6a862e933e31b50be93c8b092b5e2e [^]
2016-01-19 17:52 vmromanos Review Assigned To => vmromanos
2016-01-19 17:52 vmromanos Note Added: 0083417
2016-01-19 17:52 vmromanos Status resolved => closed
2016-03-17 10:54 hudsonbot Checkin
2016-03-17 10:54 hudsonbot Note Added: 0085056
2017-03-07 10:51 aferraz Relationship added related to 0035428


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker